/*
 * Copyright 2002, 2008 Ixaris Systems Ltd.  All rights reserved.
 * IXARIS PROPRIETARY/CONFIDENTIAL.  Use is subject to license terms.
 */
package com.ixaris.cachesample.ejb.session;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.ixaris.cachesample.ejb.SampleEntityManagerLocal;
import com.ixaris.cachesample.ejb.entity.ParentEntity;

@Stateless
public class SampleEntityManager implements SampleEntityManagerLocal {

    /**Unique Serialisation class ID generated by http://random&#46;hd&#46;org/. */
    private static final long serialVersionUID = -2636608437936889299L;
    
    /**
     * The persistence manager
     */
    @PersistenceContext(unitName = "test-context")
    private EntityManager em;

    @Override
    public void createEntity(ParentEntity e) {

        em.persist(e);
    }

    @Override
    public ParentEntity fetchEntity(Class<? extends ParentEntity> entityClass, String id) {
        
        return em.find(entityClass, id);
    }
    
}
